Package picard.fingerprint

## Class IdentifyContaminant

- java.lang.Object
- - picard.cmdline.CommandLineProgram
  - - picard.fingerprint.IdentifyContaminant

-     public class IdentifyContaminant
      extends CommandLineProgram

  Program to create a fingerprint for the contaminating sample when the level of contamination is both known and uniform in the genome.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `double` | `CONTAMINATION` |
    `boolean` | `EXTRACT_CONTAMINATED` |
    `File` | `HAPLOTYPE_MAP` |
    `File` | `INPUT` |
    `int` | `LOCUS_MAX_READS` |
    `File` | `OUTPUT` |
    `String` | `SAMPLE_ALIAS` |

    - ### Fields inherited from class picard.cmdline.CommandLineProgram

      `COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, GA4GH_CLIENT_SECRETS, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, referenceSequence, specialArgumentsCollection, TMP_DIR, USE_JDK_DEFLATER, USE_JDK_INFLATER, VALIDATION_STRINGENCY, VERBOSITY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IdentifyContaminant()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected int` | `doWork()` | Do the work after command line has been parsed.
    `protected boolean` | `requiresReference()` |

    - ### Methods inherited from class picard.cmdline.CommandLineProgram

      `customCommandLineValidation, getCommandLine, getCommandLineParser, getDefaultHeaders, getFaqLink, getMetricsFile, getStandardUsagePreamble, getStandardUsagePreamble, getVersion, hasWebDocumentation, instanceMain, instanceMainWithExit, makeReferenceArgumentCollection, parseArgs, setDefaultHeaders, useLegacyParser`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INPUT

          @Argument(shortName="I",
                    doc="Input SAM or BAM file.")
          public File INPUT

    - #### OUTPUT

          @Argument(shortName="O",
                    doc="Output fingerprint file (VCF).")
          public File OUTPUT

    - #### HAPLOTYPE_MAP

          @Argument(shortName="H",
                    doc="A file of haplotype information. The file lists a set of SNPs, optionally arranged in high-LD blocks, to be used for fingerprinting. See https://software.broadinstitute.org/gatk/documentation/article?id=9526 for details.")
          public File HAPLOTYPE_MAP

    - #### CONTAMINATION

          @Argument(shortName="C",
                    doc="A value of estimated contamination in the input. ",
                    minValue=0.0,
                    maxValue=1.0)
          public double CONTAMINATION

    - #### SAMPLE_ALIAS

          @Argument(doc="The sample alias to associate with the resulting fingerprint. When null, <SAMPLE> is extracted from the input file and \"<SAMPLE>-contamination\" is used.",
                    optional=true)
          public String SAMPLE_ALIAS

    - #### LOCUS_MAX_READS

          @Argument(doc="The maximum number of reads to use as evidence for any given locus. This is provided as a way to limit the effect that any given locus may have.")
          public int LOCUS_MAX_READS

    - #### EXTRACT_CONTAMINATED

          @Argument(doc="Extract a fingerprint for the contaminated sample (instead of the contaminant). Setting to true changes the effect of SAMPLE_ALIAS when null. It names the sample in the VCF <SAMPLE>-contaminated, using the SM value from the SAM header.")
          public boolean EXTRACT_CONTAMINATED

  - ### Constructor Detail

    - #### IdentifyContaminant

          public IdentifyContaminant()

  - ### Method Detail

    - #### requiresReference

          protected boolean requiresReference()

      Overrides:
        `requiresReference` in class `CommandLineProgram`

    - #### doWork

          protected int doWork()

      Description copied from class: `CommandLineProgram`
      Do the work after command line has been parsed. RuntimeException may be thrown by this method, and are reported appropriately.
      Specified by:
        `doWork` in class `CommandLineProgram`
      Returns:
        program exit status.